new;
library mvt;

mvtset;

cls;

output file = mvt1.out reset;

/*
** The case N = 1
**
*/


x = seqa(-3,0.5,13);
rho = 1;
nu = 2;

_mvt_algr = 1;
{cdf1,err,retcode} = cdfmvt(x,rho,nu);
cdf2 = 1 - cdftc(x,nu);

print "     Upper    cdfmvt      cdft     diff.";
print "========================================="; 
call printfm(x~cdf1~cdf2~(cdf1-cdf2),1,"%lf"~10~3);
print;
print;


/*
** The case N = 1 (non-centered)
**
*/

delta = 1.5;

_mvt_algr = 1;
{cdf1,err,retcode} = cdfmvtnc(x,rho,nu,delta);
cdf2 = cdftnc(x,nu,delta);

print "     Upper  cdfmvtnc    cdftnc     diff.";
print "========================================="; 
call printfm(x~cdf1~cdf2~(cdf1-cdf2),1,"%lf"~10~3);
print;
print;

output off;